XmlFloat (xmlbeans API)

org.apache.xmlbeans

## Interface XmlFloat

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    XmlFloatImpl, XmlFloatRestriction

      public interface XmlFloat
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:float type.

  Naturally, convertible to a Java float.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlFloat>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFloatValue()` Returns this value as a float
    `void` | `setFloatValue(float v)` Sets this value as a float

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlFloat> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getFloatValue

          float getFloatValue()

      Returns this value as a float

    - #### setFloatValue

          void setFloatValue(float v)

      Sets this value as a float